Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
[emerge] conflit entre deux version de grilo-plugins (solved
View unanswered posts
View posts from last 24 hours

 
Reply to topic    Gentoo Forums Forum Index French
View previous topic :: View next topic  
Author Message
mcsky2
Guru
Guru


Joined: 25 Aug 2005
Posts: 307

PostPosted: Tue Sep 29, 2015 7:20 am    Post subject: [emerge] conflit entre deux version de grilo-plugins (solved Reply with quote

Bonjour,
Suite à la mise à jour de gnome 3.16, j'ai un conflit avec le paquet grilo-plugins et je n'arrive pas à le résoudre.

Code:
emerge -uDaN world

 * IMPORTANT: 1 news items need reading for repository 'gentoo'.
 * Use eselect news read to view new items.


These are the packages that would be merged, in order:

Calculating dependencies... done!

WARNING: One or more updates/rebuilds have been skipped due to a dependency conflict:

media-plugins/grilo-plugins:0.2

  (media-plugins/grilo-plugins-0.2.14:0.2/0.2::gentoo, ebuild scheduled for merge) conflicts with
    >=media-plugins/grilo-plugins-0.2.6:0.2[upnp-av] required by (media-gfx/gnome-photos-3.16.2:0/0::gentoo, installed)
                                            ^^^^^^^

J'ai ajouté le use upnp-av dans mons make.conf.
Merci d'avance pour votre aide


Last edited by mcsky2 on Mon Nov 16, 2015 11:15 am; edited 1 time in total
Back to top
View user's profile Send private message
ghoti
Advocate
Advocate


Joined: 30 Dec 2002
Posts: 3580
Location: Belgium

PostPosted: Tue Sep 29, 2015 8:30 am    Post subject: Re: [emerge] conflit entre deux version de grilo-plugins Reply with quote

Bonjour,
mcsky2 wrote:
J'ai ajouté le use upnp-av dans mons make.conf.

Ok, alors désinstalle grilo-plugins afin que ton emerge world le réinstalle avec le nouveau flag par le jeu des dépendances.
Tu peux aussi le réinstaller toi même explicitement : emerge -1a media-plugins/grilo-plugins ;-)
Back to top
View user's profile Send private message
mcsky2
Guru
Guru


Joined: 25 Aug 2005
Posts: 307

PostPosted: Tue Sep 29, 2015 12:30 pm    Post subject: Reply with quote

Merci pour votre aide mais j'ai toujours le même message.
Il installe la version 2.13 mais pas la version 2.14 qui est stable.
Back to top
View user's profile Send private message
sebB
l33t
l33t


Joined: 02 Mar 2011
Posts: 730
Location: S.O. France

PostPosted: Tue Sep 29, 2015 1:08 pm    Post subject: Reply with quote

Tu peux poster la sortie complète de ton emerge -uDaN world
Back to top
View user's profile Send private message
mcsky2
Guru
Guru


Joined: 25 Aug 2005
Posts: 307

PostPosted: Tue Sep 29, 2015 2:02 pm    Post subject: Reply with quote

Il n'y a pas de différence avec mon premier post

Code:
emerge -uDaN world

These are the packages that would be merged, in order:

Calculating dependencies... done!

WARNING: One or more updates/rebuilds have been skipped due to a dependency conflict:

media-plugins/grilo-plugins:0.2

  (media-plugins/grilo-plugins-0.2.14:0.2/0.2::gentoo, ebuild scheduled for merge) conflicts with
    >=media-plugins/grilo-plugins-0.2.6:0.2[upnp-av] required by (media-gfx/gnome-photos-3.16.2:0/0::gentoo, installed)
                                            ^^^^^^^


Nothing to merge; quitting.
Back to top
View user's profile Send private message
sebB
l33t
l33t


Joined: 02 Mar 2011
Posts: 730
Location: S.O. France

PostPosted: Tue Sep 29, 2015 3:05 pm    Post subject: Reply with quote

Et que donne?
Code:
emerge -pv grilo grilo-plugins


Quote:
Il installe la version 2.13 mais pas la version 2.14 qui est stable.

C'est à dire? La maj passe?
Back to top
View user's profile Send private message
mcsky2
Guru
Guru


Joined: 25 Aug 2005
Posts: 307

PostPosted: Wed Sep 30, 2015 9:56 am    Post subject: Reply with quote

Il n'installe pas la 2.14

Code:
emerge -pv grilo grilo-plugins

These are the packages that would be merged, in order:

Calculating dependencies... done!
[ebuild   R    ] media-libs/grilo-0.2.12:0.2/1::gentoo  USE="gtk introspection network playlist vala -examples {-test}" 0 KiB
[ebuild   R    ] media-plugins/grilo-plugins-0.2.13:0.2::gentoo  USE="dvd gnome-online-accounts tracker upnp-av vimeo youtube -daap -flickr -freebox (-lua) -pocket -thetvdb" 0 KiB

Total: 2 packages (2 reinstalls), Size of downloads: 0 KiB

WARNING: One or more updates/rebuilds have been skipped due to a dependency conflict:

media-plugins/grilo-plugins:0.2

  (media-plugins/grilo-plugins-0.2.14:0.2/0.2::gentoo, ebuild scheduled for merge) conflicts with
    >=media-plugins/grilo-plugins-0.2.6:0.2[upnp-av] required by (media-gfx/gnome-photos-3.16.2:0/0::gentoo, installed)
                                            ^^^^^^^
Back to top
View user's profile Send private message
sebB
l33t
l33t


Joined: 02 Mar 2011
Posts: 730
Location: S.O. France

PostPosted: Wed Sep 30, 2015 12:11 pm    Post subject: Reply with quote

Si tu lance emerge -1 =media-libs/grilo-0.2.12 =media-plugins/grilo-plugins-0.2.13 puis emerge -uDaN world ca passe?
Si non poste ton make.conf et ton package.use
Back to top
View user's profile Send private message
k-root
Guru
Guru


Joined: 08 Jan 2005
Posts: 426

PostPosted: Thu Oct 01, 2015 2:05 am    Post subject: Reply with quote

equery d media-plugins/grilo-plugins ?
_________________
boozo wrote:
Gentoo, ça mange des ours et baffe des buffles par 37°C avec un bob et des tongs
Back to top
View user's profile Send private message
mcsky2
Guru
Guru


Joined: 25 Aug 2005
Posts: 307

PostPosted: Thu Oct 01, 2015 6:19 am    Post subject: Reply with quote

Apres emerge -1 =media-libs/grilo-0.2.12 =media-plugins/grilo-plugins-0.2.13


emerge -uDaN world

Code:
These are the packages that would be merged, in order:

Calculating dependencies... done!

WARNING: One or more updates/rebuilds have been skipped due to a dependency conflict:

media-plugins/grilo-plugins:0.2

  (media-plugins/grilo-plugins-0.2.14:0.2/0.2::gentoo, ebuild scheduled for merge) conflicts with
    >=media-plugins/grilo-plugins-0.2.6:0.2[upnp-av] required by (media-gfx/gnome-photos-3.16.2:0/0::gentoo, installed)
                                            ^^^^^^^


Nothing to merge; quitting.


equery d media-plugins/grilo-plugins

Code:
 * These packages depend on media-plugins/grilo-plugins:
media-gfx/gnome-photos-3.16.2 (>=media-plugins/grilo-plugins-0.2.6:0.2[upnp-av])
media-libs/grilo-0.2.12 (test ? media-plugins/grilo-plugins:0.2)
media-sound/gnome-music-3.16.2 (media-plugins/grilo-plugins:0.2[tracker])
media-video/totem-3.16.3 (media-plugins/grilo-plugins:0.2)
net-misc/gnome-online-miners-3.14.3-r1 (flickr ? media-plugins/grilo-plugins[flickr])
Back to top
View user's profile Send private message
xaviermiller
Administrator
Administrator


Joined: 23 Jul 2004
Posts: 7935
Location: ~Brussels - Belgique

PostPosted: Thu Oct 01, 2015 6:40 am    Post subject: Reply with quote

As-tu bien activé USE flag demandé ?
_________________
Kind regards,
Xavier Miller
Back to top
View user's profile Send private message
ghoti
Advocate
Advocate


Joined: 30 Dec 2002
Posts: 3580
Location: Belgium

PostPosted: Thu Oct 01, 2015 9:19 pm    Post subject: Reply with quote

xaviermiller wrote:
As-tu bien activé USE flag demandé ?

Apparemment oui, dans le make.conf (voir son premier post).

@mcsky2 : n'aurais-tu pas par inadvertance désactivé explicitement le flag dans package.use ? (ce fichier a la priorité sur make.conf).
Sinon, pourrais-tu nous donner le résultat de la commande emerge --info | grep ^USE :?:
Back to top
View user's profile Send private message
mcsky2
Guru
Guru


Joined: 25 Aug 2005
Posts: 307

PostPosted: Wed Oct 07, 2015 3:07 pm    Post subject: Reply with quote

Voici le résultat de la commande :

USE="X a52 aac acl acpi alsa apm applet audacious autoipd avahi barcode bash-completion berkdb branding bzip2 cairo caps cdda cdr cleartype cli colord corefonts cracklib crypt css cups cxx dbus dri dts dvd dvdr dvi eds egl emboss emerald encode evo exif fam fat fax firefox firefox-bookmarks flac fortran gallium gconf gdbm gif gimp glamor gles2 gnome gnome-keyring gnome-online-accounts gpm gstreamer gtk gtk3 gusb hal hddtemp hpijs iconv imagemagick introspection ipv6 jpeg jpeg2k kpathsea lame lcms ldap libav libnotify libsecret lm_sensors mad matroska mdnsresponder-compat minizip mmx mng modules mp3 mp4 mpeg musepack nautilus ncurses networkmanager nls nptl nsplugin nss ntfs ntfsprogs ogg opengl openmp openssl pam pango pcre pdf pidgin png policykit pop ppds pulseaudio python qt3support qt4 readline resolvconf samba scanner sdl seccomp session smbclient snmp spell sqlite sse sse2 ssl startup-notification static-ppds svg systemd tcpd theora threads tiff tracker truetype type1 udev udisks unicode upnp-av upower usb userlocales v4l v4l2 vala vim-syntax vorbis wavpack weather-metar weather-xoap win32codecs wxwidgets x264 x86 xcb xml xosd xv xvid zlib" ABI_X86="32" ALSA_CARDS="intel8x0" APACHE2_MODULES="authn_core authz_core socache_shmcb unixd actions alias auth_basic authn_alias authn_anon authn_dbm authn_default authn_file authz_dbm authz_default authz_groupfile authz_host authz_owner authz_user autoindex cache cgi cgid dav dav_fs dav_lock deflate dir disk_cache env expires ext_filter file_cache filter headers include info log_config logio mem_cache mime mime_magic negotiation rewrite setenvif speling status unique_id userdir usertrack vhost_alias" CALLIGRA_FEATURES="kexi words flow plan sheets stage tables krita karbon braindump author" CAMERAS="ptp2" COLLECTD_PLUGINS="df interface irq load memory rrdtool swap syslog" CPU_FLAGS_X86="mmx mmxext popcnt sse sse2 sse3 sse4_1 sse4_2 ssse3" ELIBC="glibc" GPSD_PROTOCOLS="ashtech aivdm earthmate evermore fv18 garmin garmintxt gpsclock itrax mtk3301 nmea ntrip navcom oceanserver oldstyle oncore rtcm104v2 rtcm104v3 sirf superstar2 timing tsip tripmate tnt ublox ubx" GRUB_PLATFORMS="emu efi-32 pc" INPUT_DEVICES="evdev" KERNEL="linux" LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text" LIBREOFFICE_EXTENSIONS="presenter-console presenter-minimizer" LINGUAS="fr fr_FR" OFFICE_IMPLEMENTATION="libreoffice" PHP_TARGETS="php5-5" PYTHON_SINGLE_TARGET="python2_7" PYTHON_TARGETS="python2_7 python3_4 pypy1_9 jython2_5" RUBY_TARGETS="ruby20 ruby21" SANE_BACKENDS="hp hp3500 hp3900 hp4200 hp5400 hp5590 hpljm1005 hpsj5s" USERLAND="GNU" VIDEO_CARDS="nouveau" XTABLES_ADDONS="quota2 psd pknock lscan length2 ipv4options ipset ipp2p iface geoip fuzzy condition tee tarpit sysrq steal rawnat logmark ipmark dhcpmac delude chaos account"

Dans mon package.use j'ai ceci :

app-misc/tracker -upnp-av
Back to top
View user's profile Send private message
sebB
l33t
l33t


Joined: 02 Mar 2011
Posts: 730
Location: S.O. France

PostPosted: Fri Oct 09, 2015 7:27 pm    Post subject: Reply with quote

Ca donne quoi?
Code:
emerge -pv gnome-photos


Si ca ne fonctionne toujours pas:

Tu utilises quel profil?
Peux tu poster les USES de ton make.conf (on voit la globalité dans ton emerge --info mais ce qui m'interesse c'est celles que tu as rajoutées manuellement)

Pour confirmer mon idée, vire upnp-av de ton make.conf et vire app-misc/tracker -upnp-av de ton package.use puis poste un emerge -uDNvp @world
Back to top
View user's profile Send private message
mcsky2
Guru
Guru


Joined: 25 Aug 2005
Posts: 307

PostPosted: Tue Oct 13, 2015 6:35 am    Post subject: Reply with quote

Pour le premier test :

Code:
emerge -pv gnome-photos

These are the packages that would be merged, in order:

Calculating dependencies... done!
[ebuild   R    ] media-gfx/gnome-photos-3.16.2::gentoo  USE="{-test}" 0 KiB

Total: 1 package (1 reinstall), Size of downloads: 0 KiB

 * IMPORTANT: 1 news items need reading for repository 'gentoo'.
 * Use eselect news read to view new items.


Pour le deuxieme :

Code:
emerge -uDNvp @world

These are the packages that would be merged, in order:

Calculating dependencies... done!

Total: 0 packages, Size of downloads: 0 KiB

WARNING: One or more updates/rebuilds have been skipped due to a dependency conflict:

media-plugins/grilo-plugins:0.2

  (media-plugins/grilo-plugins-0.2.14:0.2/0.2::gentoo, ebuild scheduled for merge) conflicts with
    >=media-plugins/grilo-plugins-0.2.6:0.2[upnp-av] required by (media-gfx/gnome-photos-3.16.2:0/0::gentoo, installed)
                                            ^^^^^^^


J'utilise le profile
Code:

default/linux/x86/13.0/desktop/gnome/systemd



USE="networkmanager gnome-keyring -python_targets_python3_3 -ffmpeg libav tracker gles2 egl opengl firefox-bookmarks introspection gusb scanner resolvconf pulseaudio vala autoipd systemd barcode -python_targets_python2_6 threads session minizip gtk gtk3 ntfsprogs openssl nss python cdda snmp static-ppds fax pop gconf dri pidgin gallium -bluetooth hpijs weather-metar weather-xoap vim-syntax audacious \
samba applet smbclient nsplugin sqlite kpathsea v4l emerald dvi mdnsresponder-compat \
imagemagick sse sse2 mmx mp4 aac apm alsa bash-completion \
fat ntfs acpi cairo css evo exif ppds pdf lame lm_sensors jpeg jpeg2k \
bzip2 wavpack hal ogg encode mad sdl scanner \
spell mp3 vorbis xml gstreamer gimp gif v4l2 a52 acl \
avahi caps usb mpeg flac hddtemp matroska \
musepack theora win32codecs xosd xvid linguas_fr png consolekit X gnome \
cups cdr dvdr nls truetype userlocales unicode type1 cleartype \
corefonts"
Back to top
View user's profile Send private message
sebB
l33t
l33t


Joined: 02 Mar 2011
Posts: 730
Location: S.O. France

PostPosted: Tue Oct 13, 2015 7:49 pm    Post subject: Reply with quote

Ca donne quoi?
Code:
emerge -pv =media-plugins/grilo-plugins-0.2.14


Si ca passe pas
Dans ton package.use ajoute
media-plugins/grilo-plugins upnp-av
Puis retente un emerge -pv =media-plugins/grilo-plugins-0.2.14 ou emerge -uDNvp @world

Toutes ces USES que tu as rajoutées te sont vraiment utiles?
Back to top
View user's profile Send private message
mcsky2
Guru
Guru


Joined: 25 Aug 2005
Posts: 307

PostPosted: Mon Oct 19, 2015 7:21 am    Post subject: Reply with quote

Bonjour,

Voici les résultats des commandes avec media-plugins/grilo-plugins upnp-av dans /etc/portage/package.use

emerge -pv =media-plugins/grilo-plugins-0.2.14

Code:
These are the packages that would be merged, in order:

Calculating dependencies... done!
[ebuild     U  ] media-plugins/grilo-plugins-0.2.14:0.2::gentoo [0.2.13:0.2::gentoo] USE="dvd gnome-online-accounts tracker vimeo youtube -daap -flickr -freebox (-lua) -pocket -subtitles% -thetvdb (-upnp-av*)" 0 KiB

Total: 1 package (1 upgrade), Size of downloads: 0 KiB

!!! Multiple package instances within a single package slot have been pulled
!!! into the dependency graph, resulting in a slot conflict:

media-plugins/grilo-plugins:0.2

  (media-plugins/grilo-plugins-0.2.14:0.2/0.2::gentoo, ebuild scheduled for merge) pulled in by
    =media-plugins/grilo-plugins-0.2.14 (Argument)

  (media-plugins/grilo-plugins-0.2.13:0.2/0.2::gentoo, installed) pulled in by
    >=media-plugins/grilo-plugins-0.2.6:0.2[upnp-av] required by (media-gfx/gnome-photos-3.16.2:0/0::gentoo, installed)
                                            ^^^^^^^                                                                                                       

It might be possible to solve this slot collision
by applying all of the following changes:
   - media-plugins/grilo-plugins-0.2.14 (Change USE: +upnp-av)


Sinon ca donne la même chose

Code:


These are the packages that would be merged, in order:

Calculating dependencies... done!
[ebuild     U  ] media-plugins/grilo-plugins-0.2.14:0.2::gentoo [0.2.13:0.2::gentoo] USE="dvd gnome-online-accounts tracker vimeo youtube -daap -flickr -freebox (-lua) -pocket -subtitles% -thetvdb (-upnp-av*)" 0 KiB

Total: 1 package (1 upgrade), Size of downloads: 0 KiB

!!! Multiple package instances within a single package slot have been pulled
!!! into the dependency graph, resulting in a slot conflict:

media-plugins/grilo-plugins:0.2

  (media-plugins/grilo-plugins-0.2.14:0.2/0.2::gentoo, ebuild scheduled for merge) pulled in by
    =media-plugins/grilo-plugins-0.2.14 (Argument)

  (media-plugins/grilo-plugins-0.2.13:0.2/0.2::gentoo, installed) pulled in by
    >=media-plugins/grilo-plugins-0.2.6:0.2[upnp-av] required by (media-gfx/gnome-photos-3.16.2:0/0::gentoo, installed)
                                            ^^^^^^^                                                                                                       


It might be possible to solve this slot collision
by applying all of the following changes:
   - media-plugins/grilo-plugins-0.2.14 (Change USE: +upnp-av)


Back to top
View user's profile Send private message
xaviermiller
Administrator
Administrator


Joined: 23 Jul 2004
Posts: 7935
Location: ~Brussels - Belgique

PostPosted: Mon Oct 19, 2015 7:51 am    Post subject: Reply with quote

Essaie sans mettre de version (enlève le = et le numéro de version)
_________________
Kind regards,
Xavier Miller
Back to top
View user's profile Send private message
sebB
l33t
l33t


Joined: 02 Mar 2011
Posts: 730
Location: S.O. France

PostPosted: Tue Oct 20, 2015 3:40 pm    Post subject: Reply with quote

Ce qui est bizarre c'est que upnp-av est désactivé par défaut pour grilo-plugins-0.2.14.
Peut-être ton profil qui veux ca?
A tu retenté un sync avant de faire la mise à jour?
Back to top
View user's profile Send private message
mcsky2
Guru
Guru


Joined: 25 Aug 2005
Posts: 307

PostPosted: Mon Nov 16, 2015 11:13 am    Post subject: Reply with quote

Bonjour,
Le problème s'est résolu tout seul aujourd'hui.
Je ne sais pas s'il n'y avait pas une mise à jour du grilo-plugins.
J'avais ce matin le problème de l'ebuild busybox qui n'était pas bon.
J'ai fait un "emerge -f package".

Merci pour votre aide
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index French All times are GMT
Page 1 of 1

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum